Adhoc::Command::Note Class Reference

`#include <adhoc.h>`

## Public Types

enum | Severity { Info , Warning , Error , InvalidSeverity }

## Public Member Functions

| Note (Severity sev, const std::string &note)
| ~Note ()
Severity | severity () const
const std::string & | content () const
Tag * | tag () const

## Detailed Description

An abstraction of a command note.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 130 of file adhoc.h.

## Member Enumeration Documentation

## Severity

enum Severity

Specifies the severity of a note.

Enumerator
Info | The note is informational only. This is not really an exceptional condition.
Warning | The note indicates a warning. Possibly due to illogical (yet valid) data.
Error | The note indicates an error. The text should indicate the reason for the error.
InvalidSeverity | The note type is unknown or invalid.

Definition at line 139 of file adhoc.h.

## Constructor & Destructor Documentation

## Note()

Note | ( | Severity | sev,
|  | const std::string & | note )

inline

A convenience constructor.

Parameters

  sev | The note's severity.
  note | The note's content.

Definition at line 155 of file adhoc.h.

## ~Note()

~Note | ( |  | ) |

inline

Destructor.

Definition at line 161 of file adhoc.h.

## Member Function Documentation

## content()

const std::string & content | ( |  | ) | const

inline

Returns the note's content.

Returns
  The note's content.

Definition at line 173 of file adhoc.h.

## severity()

Severity severity | ( |  | ) | const

inline

Returns the note's severity.

Returns
  The note's severity.

Definition at line 167 of file adhoc.h.

## tag()

Tag * tag | ( |  | ) | const

Returns a Tag representation of the Note.

Returns
  A Tag representation.

Definition at line 71 of file adhoc.cpp.

The documentation for this class was generated from the following files:

- adhoc.h
- adhoc.cpp